diff --git a/lang/de.html b/lang/de.html
new file mode 100755
index 0000000..c1ee3c8
--- /dev/null
+++ b/lang/de.html
@@ -0,0 +1,14 @@
+
+
+
+
+
+
+ Files - Über das HTTP(s)-Protokoll freigegebene Dateien
+
+
+
+
+
Files - Über das HTTP(s)-Protokoll freigegebene Dateien
+
+ - Zurück Zum vorherigen Verzeichnis wechseln
diff --git a/lang/en.html b/lang/en.html
new file mode 100755
index 0000000..ef565ae
--- /dev/null
+++ b/lang/en.html
@@ -0,0 +1,14 @@
+
+
+
+
+
+
+ Files - Files shared via HTTP(s) protocol
+
+
+
+
+
Files - Files shared via HTTP(s) protocol
+
+ - Back Go to previous directory
diff --git a/lang/es.html b/lang/es.html
new file mode 100755
index 0000000..4c65292
--- /dev/null
+++ b/lang/es.html
@@ -0,0 +1,14 @@
+
+
+
+
+
+
+ Files - Archivos compartidos mediante el protocolo HTTP(s)
+
+
+
+
+
Files - Archivos compartidos mediante el protocolo HTTP(s)
+
+ - Atrás Ir al directorio previo
diff --git a/lang/fr.html b/lang/fr.html
new file mode 100755
index 0000000..fa8d3d8
--- /dev/null
+++ b/lang/fr.html
@@ -0,0 +1,14 @@
+
+
+
+
+
+
+ Files - Fichiers partagés via le protocole HTTP(s)
+
+
+
+
+
Files - Fichiers partagés via le protocole HTTP(s)
+
+ - Retour Aller au répertoire précédent
diff --git a/lang/it.html b/lang/it.html
new file mode 100755
index 0000000..0b1f0f1
--- /dev/null
+++ b/lang/it.html
@@ -0,0 +1,14 @@
+
+
+
+
+
+
+ Files - File condivisi tramite protocollo HTTP(s)
+
+
+
+
+
Files - File condivisi tramite protocollo HTTP(s)
+
+ - Indietro Vai alla directory precedente
diff --git a/lang/ru.html b/lang/ru.html
new file mode 100755
index 0000000..efde530
--- /dev/null
+++ b/lang/ru.html
@@ -0,0 +1,14 @@
+
+
+
+
+
+
+ Files - Обмен файлами по протоколу HTTP(s)
+
+
+
+
+
Files - Обмен файлами по протоколу HTTP(s)
+
+ - Назад Перейти в предыдущий каталог
diff --git a/set-lang.sh b/set-lang.sh
new file mode 100755
index 0000000..4b98376
--- /dev/null
+++ b/set-lang.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+dir=$(dirname $0)
+lang_dir="$(dirname $0)/lang"
+
+# List available languages
+lang_available=$(ls -1 ${lang_dir}/ 2> /dev/null | cut -d "." -f 1)
+
+# Set language
+if [ -z "${1}" ] ; then
+ echo ""
+ echo "* Set language for html indexer"
+ echo ""
+ echo "Sintax: $0 "
+ echo ""
+ echo "Available lang:" ${lang_available}
+ echo ""
+else
+ if [ -f "${lang_dir}/${1}.html" ] ; then
+ cp -rf "${lang_dir}/${1}.html" "${dir}/res/head.html"
+ echo "Language '${1}' set correctly"
+ echo "Run 'make-html-browser.sh' for to generate the html files"
+ exit 0
+ else
+ echo "Language '${1}' not available"
+ exit 1
+ fi
+fi
+